/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/
:root {
    --clr-primary: #000;
    --clr-secondary: #e7973e;
    --clr-light: #fff;
    --clr-gray: #8a8a8a;
}

.brxe-heading span {
    color: var(--clr-secondary);
}

.text-wrap--balance {
    text-wrap: balance;
}

.brxe-post-content a {
	text-decoration: underline;
}

.brxe-post-content .wp-block-image {
	max-width: 100% !important;
	margin-inline: 0 !important;
	left: 0 !important;
}

.grid__5 {
    display: grid;
    grid-template-columns: repeat(12,1fr);
    gap: 24px;
}

.grid__5 > .brxe-block {
    grid-column: span 6;
    height: 100%;
}

.grid__5 > .brxe-block img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media (min-width: 1025px) {
    .grid__5 > .brxe-block:nth-child(1) {
        grid-column: span 4;
    }
    
    .grid__5 > .brxe-block:nth-child(2) {
        grid-column: span 8;
    }
    
    .grid__5 > .brxe-block:nth-child(5) {
        grid-column: span 12;
    }
}

@media (max-width: 767px) {
    .grid__5 > .brxe-block {
        grid-column: 1/-1;
    }
}

#brx-header {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 9;
}

body.admin-bar #brx-header {
    top: 32px;
}

@media (max-width: 782px) {
    body.admin-bar #brx-header {
        top: 46px;
    }
}

/* Gravity form */
.gform_wrapper form {
    font-family: 'Space Grotesk';
}

.gform_wrapper form .gform-loader {
    position: absolute;
    right: 30px;
    z-index: 1;
}

.gform_wrapper form .gfield_error input {
    border-color: var(--gf-color-danger) !important;
}

.gform_wrapper form .gfield_error .gfield_validation_message {
    display: none;
}

